
package de.ivu.elect.business.sitzberechnung.control.verteilung;

import de.ivu.elect.business.gebietsbaum.entity.Wahldurchfuehrungsgebiet;

public class WahldurchfuehrungsgebietTeilnehmer extends AbstractTeilnehmer<Wahldurchfuehrungsgebiet> {

  public WahldurchfuehrungsgebietTeilnehmer(Wahldurchfuehrungsgebiet gebiet, long stimmen) {
    super(gebiet, stimmen);
  }

  public Wahldurchfuehrungsgebiet getWahldurchfuehrungsgebiet() {
    return getObject();
  }

  @Override
  protected String displayObject() {
    return getWahldurchfuehrungsgebiet().getName();
  };
}